package com.edgec.browserbackend.browser.domain;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Document("specialline")
public class SpecialLine {
    @Id
    private String Id;

    private String ip;

    private List<String> proxyProtocol; //专线使用的协议
    private List<String> proxyPort;  //专线使用的端口

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getId() {
        return Id;
    }

    public void setId(String id) {
        Id = id;
    }

    public List<String> getProxyProtocol() {
        return proxyProtocol;
    }

    public void setProxyProtocol(List<String> proxyProtocol) {
        this.proxyProtocol = proxyProtocol;
    }

    public List<String> getProxyPort() {
        return proxyPort;
    }

    public void setProxyPort(List<String> proxyPort) {
        this.proxyPort = proxyPort;
    }
}
